Subject: Re: bug#47171: [PATCH 00/10] Move some Bioconductor packages to (gnu packages bioconductor).

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 16 Mar 2021 17:08:22 +0100

zimoun <[email-masked]> writes:

> Hi,
>
> On Tue, 16 Mar 2021 at 14:20, Ricardo Wurmus <[email-masked]> wrote:
>> zimoun <[email-masked]> writes:
>>
>> > Well, thanks for the report and I confirm that adding the bioconductor
>> > import in cran fixes "guix pull".   But in my memories, this import
>> > was adding circular dependency.  Ricardo, WDYT?
>>
>> The point of having (gnu packages cran) and (gnu packages bioconductor)
>> be separate modules is to separate independent packages.
>>
>> I’d like to keep it that way and not let (gnu packages cran) depend on
>> (gnu packages bioconductor).
>
> Therefore, the fix is to move the CRAN r-bisquerna and r-absfiltergsea
> packages from (gnu packages cran) to (gnu packages bioconductor)
> because they depend on the Bioconductor package r-biobase (and
> r-limma).  Right?

Correct.  We don’t want any CRAN packages to depend on Bioconductor
things.  When this is unavoidable, though, we move them to (gnu packages
bioconductor) with a comment.

> How do I proceed?  Submit a patch moving these 2 packages and then
> another patch reverting the revert?

Sounds good.  (You could do this all in the same issue.)

-- 
Ricardo